package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.CategoryRepository;
import com.realnet.basicp1.Entity.Category
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class CategoryService {
@Autowired
private CategoryRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Category Savedata(Category data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Category save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Category> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Category> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Category> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Category getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Category update(Category data,Integer id) {
	Category old = Repository.findById(id).get();
old.setCategory(data.getCategory());

final Category test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
